I am having trouble with Unity after an upgrade to 14.04 (and still there after another update to 14.10 which was due to me not paying attention)

I have no unity or anything else and only have Firefox because being the very nice app that it is it loaded for me to carry on where it left off.

I can drop to TTY1 and DISPLAY=:0 unity --replace but the error message I get is

compiz (opengl) - error: FBO is incomplete: GL:FRAMEBUFFER UNSUPPORTED

What is it trying to tell me and how can I fix this?

UPDATE 1: I tried following the advice here: upgraded to 14.10 and no unity no dash but this was not the answer I was looking for.

UPDATE 2: Using DISPLAY=:0 ccsm I was able to enable to the Unity plugin for compiz and disable Framebuffer Object in OpenGL DISPLAY=:0 compiz then gives me the unity sidebar although the top bar is pretty limited and lacks menus etc.

  • I would suggest doing a re-install of 14.04 or 14.10 (make a backup of your personal data if needed). You can turn the framebuffer off with CCSM but you need a desktop for that ;) – Rinzwind Apr 25 '15 at 14:45
  • I'd rather solve and fix the problem if I possibly can. – Matthew Brown aka Lord Matt Apr 25 '15 at 14:54
up vote 0 down vote accepted

This is how I fixed things for me.

I dropped to tty1 using ctrl+alt+F1 and typed DISPLAY=:0 ccsm ctrl+alt+F7 I switched back and using CCSM I was able to enable to the Unity plugin for compiz and disable Framebuffer Object in the OpenGL plugin.

Then back to tty1 and

sudo apt-get install --reinstall ubuntu-desktop

I rebooted and everything is working fine.

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.